<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/sql" prefix="sql" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%@ page contentType="text/html;charset=UTF-8"%>

<c:set var="ipcontactTable" value="ipcontact"/>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
	<link type="text/css" rel="stylesheet" href="include/style-cdirectos.css"/>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>

	<script type="text/javascript" src="include/scripts.js"></script>
	<script type="text/javascript" src="include/checks.js"></script>
	<script type="text/JavaScript" src="calendar/scw_pt.js"></script>
	<script type="text/JavaScript" src="calendar/current.js"></script>
</head>

<body>
	
	<c:if test="${not empty param.id and not (param.id == 0)}">
		<sql:query var="rsHistorico" dataSource="jdbc/callcenter">
			SELECT id_cliente, fechagant, resultado, valor 
			FROM cdhistorico 
			INNER JOIN llamadas_resultados ON llamadas_resultados.id = cdhistorico.resultado 
			WHERE id_cliente = ${param.id}
			ORDER by fechagant DESC
		</sql:query>
	</c:if>
			
	<c:if test="${!(rsHistorico.rowCount eq '0')}">
		<table class="datahistorico">
			<tr>
				<th class="tit">Fecha de gestiones anteriores: </th>
			</tr>
			<tr>
				<td>
 					<table> 
						<tr>
							<td>
								<table class="query">
									<tr class="plain">
										<td class="querylabel">
											<label>Fecha</label>	
										</td>
									</tr>
								</table>
							</td>
							<td>
								<table class="query">
									<tr class="plain">
										<td class="querylabel">
											<label>Código</label>	
										</td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
				</td>
			</tr>
				
			<c:forEach var="row" varStatus="stat" items="${rsHistorico.rows}">	
				<tr>
					<td>
 						<table> 
							<tr>
								<td>
									<table class="query">
										<tr class="plain">
											<td class="query">
												<c:set var="data" value="${fn:split(row.fechagant, '-')}"/>
												${data[2]}/${data[1]}/${data[0]}
											</td>
										</tr>
									</table>
								</td>
								<td>
									<table class="query">
										<tr class="plain">
											<td class="query">
												${row.valor}
											</td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</c:forEach>
		</table>
	</c:if>

</body>
</html>